org.apache.lucene.luke.app.desktop.components.fragments.search

## Class FieldValuesPaneProvider

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.components.fragments.search.FieldValuesPaneProvider

All Implemented Interfaces:
  ComponentOperatorRegistry.ComponentOperator, FieldValuesTabOperator

    public final class FieldValuesPaneProvider
    extends Object
    implements FieldValuesTabOperator

Provider of the FieldValues pane

### Constructor Summary

Constructors
Constructor and Description
`FieldValuesPaneProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`JScrollPane` `get()`
`Set<String>` `getFieldsToLoad()`
`void` `setFields(Collection<String> fields)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FieldValuesPaneProvider

    public FieldValuesPaneProvider()

### Method Detail

#### get

    public JScrollPane get()

#### setFields

    public void setFields(Collection<String> fields)

Specified by:
  `setFields` in interface `FieldValuesTabOperator`

#### getFieldsToLoad

    public Set<String> getFieldsToLoad()

Specified by:
  `getFieldsToLoad` in interface `FieldValuesTabOperator`